Bug 845206 - Seam Error when trying to edit
Seam Error when trying to edit
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Casperson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 05:08 EDT by Lee Newson
Modified: 2014-08-04 18:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 19:34:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-08-02 05:08:02 EDT
How reproducible:
Always

Steps to Reproduce:
1. Open any topic
2. Change the revision of the topic
3. Type the same topic number into the quick change box
4. Click Edit
  
Actual results:
A seam error appears about not being able to convert a string to a number.

Expected results:
The topic edit page opens
Comment 1 belong 2012-09-09 21:37:42 EDT
Also reproducible this way:

1. Open any topic (with older revisions)
2. Change to older revision
3. Click on 'Edit Latest Version'

Actual Result:
Cannot convert 61308 of type class java.lang.String to class java.lang.Number

Expected Result:
The topic edit page opens
Comment 2 Lee Newson 2012-09-09 22:04:49 EDT
Fixed in build 20120910-1150.

Cause:

The Topic Revision variable wasn't being reset when clicking the "Edit Latest Version" button.

Consequence:

Seam would throw an error about not being able to convert the String to an Integer.

Fix:

Ensure that the topicRevision url parameter is set to nothing (eg. topicRevision=&cid=1) and also make sure that the topicRevision is reset to nothing when editing.

Note You need to log in before you can comment on or make changes to this bug.